数据提供商: SerpApi
使用 SerpApi在 Google 的广告透明度中心查找相关广告信息
$0.015 / 次调用在 40 秒内响应
通过 SerpApi,在 Google Ads 透明度中心中,按广告主 id 查看的广告主所发布的广告创意:包括广告创意的格式、首次展示日期、最后一次展示日期以及展示地区等信息。每次调用发送一次请求;SerpApi 对每个完成的请求计数,空结果集会标记为无结果。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the SerpApi endpoint /search?engine=google_ads_transparency_center on Glasser.bash
glasser run -p serpapi -e '/search?engine=google_ads_transparency_center' -i '{"advertiser_id":"AR17828074650563772417"}' --endpoint-version 5使用接口版本 5。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"serpapi","endpoint":"/search?engine=google_ads_transparency_center","input":{"advertiser_id":"AR17828074650563772417"},"endpoint_version":5}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 5,运行前请确认当前价格。
第 2 步尝试一个具体任务
规划广告文案时,可以研究相关广告,为创意简报寻找值得考虑的表达角度。
复制此提示词到你的 Agent,研究广告活动的表达角度。
提示词
Use serpapi:/search?engine=google_ads_transparency_center on Glasser.
Find messaging angles in the returned ad data that relate to my campaign topic.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"advertiser_id"
],
"properties": {
"num": {
"type": "integer",
"maximum": 100,
"minimum": 1
},
"region": {
"type": "string",
"pattern": "^\\d{4,5}$",
"description": "Numeric Google location ID, e.g. 2840 = United States, 2826 = United Kingdom, 2276 = Germany. Not an ISO country code. Full list: https://serpapi.com/google-ads-transparency-center-regions.json. Omit for all regions."
},
"advertiser_id": {
"type": "string",
"maxLength": 40,
"minLength": 1
}
},
"additionalProperties": false
}json
{
"advertiser_id": "AR17828074650563772417"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据或无匹配 | 有无匹配数据均按此价格收费。 | $0.015 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |